/* Write your global styles here, in SCSS syntax.
 Variables and mixins from the src/variables.scss file are available here without importing */
/* Import only what you need from Bootstrap */
@import 'variables';
@import 'bootstrap/scss/bootstrap';

/**
 * COPIED FROM BOOSTRAP.MODAL TO ADD !IMPORTANT TO .modal-SZ classes
 */
// Scale up the modal
@include media-breakpoint-up(sm) {
  .modal {
    --#{$prefix}modal-margin: #{$modal-dialog-margin-y-sm-up};
    --#{$prefix}modal-box-shadow: #{$modal-content-box-shadow-sm-up};
  }

  // Automatically set modal's width for larger viewports
  .modal-dialog {
    max-width: var(--#{$prefix}modal-width) !important;
    margin-right: auto;
    margin-left: auto;
  }

  .modal-sm {
    --#{$prefix}modal-width: #{$modal-sm} !important;
  }
}

@include media-breakpoint-up(lg) {
  .modal-lg,
  .modal-xl {
    --#{$prefix}modal-width: #{$modal-lg} !important;
  }
}

@include media-breakpoint-up(xl) {
  .modal-xl {
    --#{$prefix}modal-width: #{$modal-xl} !important;
  }
}
/**
 * END BOOTSTRAP MODAL OVERRIDE
 */

a {
  color: $primary;
}

/* THE FOLLOWING WAS COPIED FROM custom.css */
body {
  background-color: #060606;
  // everything after the first two options are copied from bootstrap's default
  font-family: 'Nunito Sans', 'Arial', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial,
    'Noto Sans', 'Liberation Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',
    'Noto Color Emoji';
  color: $primary;
  font-size: 1rem;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  color: $highlight;
  line-height: 1.1;
}

h1,
.h1 {
  font-size: 3.5rem;
}

h6,
.h6 {
  font-size: 1.2rem;
}

hr {
  border-top: 1px solid $light;
}

pre {
  font-size: 92.5%;
  text-align: left;
  padding: 0.5rem;
  margin: 0 0 0.5rem 0;
  color: $light;
}

code {
  padding: 0.1rem 0.2rem;
}

pre,
code {
  background-color: $white;
  border-radius: 4px;
}

pre > code {
  background-color: transparent;
  padding: 0;
}

label {
  color: $white;
  font-weight: bold;
}

.clickable,
.clickable > * {
  cursor: pointer;
}

.form-control::placeholder {
  color: $muted;
  opacity: 1;
}

.btn-secondary {
  color: $primary;
  background-color: #424242;
  border-color: #424242;
  transition: none;
}

.btn-secondary:hover {
  color: $highlight;
  background-color: $light;
  border-color: #232323;
}

.btn-xs {
  padding: 0.075rem 0.325rem;
  font-size: 0.7rem;
  border-radius: 0.15rem;
}

.table {
  background-color: #181818;
}

.table tbody tr:nth-of-type(2n + 1) {
  background-color: #080808;
}

.table tbody tr:hover {
  background-color: rgba(255, 255, 255, 0.075);
}

.table a:not(.btn) {
  color: $white;
  text-decoration: underline;
}

.dl-horizontal dt {
  width: 160px;
  float: left;
  clear: left;
  text-align: right;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.dl-horizontal dd {
  margin: 0 0 0 180px;
}

.modal-dialog {
  max-width: 600px;
}

.modal-content {
  border: 1px solid rgba(0, 0, 0, 0.2);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}

.modal-content img,
.modal-content video {
  max-width: 100%;
}

.jumbotron {
  background-color: #151515;
}

.page-header {
  margin-top: 0.5em;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
  border-bottom: 1px solid $light;
}

.text-muted {
  color: $muted !important;
}

.negate {
  filter: hue-rotate(180deg) invert(100%);
}

.navbar,
.dropdown-menu {
  background-color: $light;
}

.navbar.custom-navbar .nav-link {
  color: $primary;
}

.navbar.custom-navbar .nav-link:hover,
.navbar.custom-navbar .nav-link:focus {
  color: $highlight;
}

.navbar.custom-navbar .navbar-collapse {
  border-top: 1px solid #101010;
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
}

.navbar .nav-link,
.navbar .navbar-brand,
.navbar .navbar-nav .nav-link {
  padding: 0.5rem 1rem;
}

@media (min-width: 768px) {
  .navbar.custom-navbar .navbar-collapse {
    border-top: 0;
    box-shadow: none;
  }
}

.navbar-toggler:hover,
.navbar-toggler:focus,
.navbar-toggler:active {
  background-color: $dim;
}

.dropdown-toggle {
  outline: 0;
}

.custom-navbar .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255,0.8)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.link-underline:after {
  display: block;
  content: '';
  border-bottom: solid 0.2rem $highlight;
  transform: scaleX(0);
  transition: transform 250ms ease-in-out;
}

@media (min-width: 768px) {
  .link-underline:hover:after {
    transform: scaleX(1);
  }
}

.navbar img {
  height: 40px;
  margin: 5px;
}

.flag-card {
  background-color: $card-bg;
  margin: 0.5rem;
  padding: 0.8rem 1.2rem;
}

#hc_scoreboard {
  min-width: 300px;
  max-width: 1600px;
  height: 400px;
  background-color: $dim;
  margin: 0 auto;
}

.flag-file-list {
  justify-content: space-evenly;
}

.challenge-groups .btn p:first-of-type {
  color: $primary;
  margin-top: 9px;
  font-weight: bold;
}

.challenge-groups .btn p {
  font-size: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: $highlight;
}

.service-statuses {
  margin-top: 10px;
}

.challenge-list > div > button,
.flag-file-list > a > div {
  margin: 0.8rem auto;
}

.challenge-list .btn .fa {
  position: absolute;
  left: 0.1rem;
  top: 0.2rem;
  font-size: 1.1rem;
}

code {
  background: #0f0f0f;
  color: green;
}

pre {
  background: #0f0f0f;
  color: green;
}
